--- /dev/null	2014-11-12 17:44:39.000000000 +0100
+++ new/usr/src/uts/common/Makefile.files.rej	2014-11-12 17:44:39.559184996 +0100
@@ -0,0 +1,16 @@
+***************
+*** 24,29 ****
+  # Copyright (c) 2012 Nexenta Systems, Inc. All rights reserved.
+  # Copyright (c) 2013 by Delphix. All rights reserved.
+  # Copyright (c) 2013 by Saso Kiselkov. All rights reserved.
+  #
+  
+  #
+--- 24,30 ----
+  # Copyright (c) 2012 Nexenta Systems, Inc. All rights reserved.
+  # Copyright (c) 2013 by Delphix. All rights reserved.
+  # Copyright (c) 2013 by Saso Kiselkov. All rights reserved.
++ # Copyright 2014 Garrett D'Amore <garrett@damore.org>
+  #
+  
+  #
--- old/usr/src/uts/common/Makefile.rules	2014-11-12 17:44:39.624304677 +0100
+++ new/usr/src/uts/common/Makefile.rules	2014-11-12 17:44:39.629432031 +0100
@@ -666,10 +666,6 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/cardbus/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/comstar/stmf/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -1489,22 +1485,6 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/pcmcia/cis/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/pcmcia/cs/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/pcmcia/nexus/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/pcmcia/pcs/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/rpc/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -2034,9 +2014,6 @@
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/blkdev/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/cardbus/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/comstar/lu/stmf_sbd/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
@@ -2622,18 +2599,6 @@
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/rpc/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/pcmcia/cs/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/pcmcia/cis/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/pcmcia/nexus/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/pcmcia/pcs/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/rpc/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
